Toggle conversation status
curl --request POST \
--url https://chat.domix.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_status \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--header 'api_account_id: <api-key>' \
--data '
{
"status": "resolved"
}
'import requests
url = "https://chat.domix.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_status"
payload = { "status": "resolved" }
headers = {
"api_access_token": "<api-key>",
"api_account_id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
api_access_token: '<api-key>',
api_account_id: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({status: 'resolved'})
};
fetch('https://chat.domix.ai/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 102,
"account_id": 16,
"inbox_id": 1,
"status": "open",
"unread_count": 0,
"meta": {
"sender": {
"id": 160,
"name": "Sara Ahmed",
"email": "sara.ahmed@example.com",
"phone_number": "+966555555555",
"identifier": "<string>",
"thumbnail": "<string>",
"custom_attributes": {},
"additional_attributes": {},
"created_at": 1693500000,
"labels": [
"<string>"
]
},
"assignee": {},
"team": {}
},
"custom_attributes": {},
"created_at": 1693500000
}Core CRM & Conversation APIs
Toggle conversation status
Change the status of a conversation (open, resolved, pending, snoozed).
POST
https://chat.domix.ai
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
toggle_status
Toggle conversation status
Authorizations
ApiAccessToken & ApiAccountIdApiAccessTokenHyphen & ApiAccountIdHyphen
API Access Token (underscore format)
Account ID (underscore format for unified message endpoints)
Path Parameters
ID of the account in Domix AI
Example:
"16"
ID of the conversation
Example:
102
Body
application/json
Available options:
open, resolved, pending, snoozed Example:
"resolved"
Response
200 - application/json
Status updated successfully
Example:
102
Example:
16
Example:
1
Example:
"open"
Example:
0
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Example:
160
Example:
"Sara Ahmed"
Example:
"sara.ahmed@example.com"
Example:
"+966555555555"
Example:
1693500000
Example:
1693500000